# When this package is updated, please notify Texstar
# so that the updated package is deployed on the build system
#
%define rpmlint_config %{_datadir}/rpmlint/config.d/

Name:           rpmlint-pclinuxos-policy
Version:        0.2.28
Release:        %mkrel 1
Summary:        Rpmlint policy for PCLinuxOS
Group:          Development/Other
License:        GPLv2+
URL:            http://www.pclinuxos.com/
Source0:        distribution.exceptions.conf
Source1:        distribution.error.conf
Source2:        distribution.error.list
BuildArch:      noarch
Requires:       rpmlint >= 1.4-4
BuildRequires:  rpmlint >= 1.4-4

%description
Official rpmlint policy for PCLinuxOS, install this if you want to 
produce rpm for PCLinuxOS.


%prep
# nothing to do

%build
# nothing to do

%install
mkdir -p  %{buildroot}%{rpmlint_config}
cp -a %{SOURCE0} %{buildroot}%{rpmlint_config}/
cp -a %{SOURCE1} %{buildroot}%{rpmlint_config}/
cp -a %{SOURCE2} %{buildroot}%{rpmlint_config}/

%check
# prevent upload with a wrong config file
export PYTHONPATH=/usr/share/rpmlint
# this need some work, as this requires rpmlint-pclos-policy to be present to work fully
#python %{SOURCE1}
python %{SOURCE0}

%files
%rpmlint_config/*


%changelog
* Thu Apr 03 2014 pinoc <vogtpet at gmail.com> 0.2.28-1.pclos2014
- import package


